Home
Home
  1. RPC Search
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable Widgets
    • Overview
    • Document Upload Widget
      • UI/UX Best Practices
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Supported document types
  • API Reference
    • Submissions
      • Reports
        • List available report templates
        • Download a report
      • Create new submission
      • Get submission
      • Update submission
      • Update submission status
      • Run business verification
      • Get submission checks
      • Delete submission
    • Documents
      • Public Documents API
        • List documents
        • Upload document
        • Get document
        • Delete document
      • List documents
      • Upload document for submission
      • Get document
      • Delete document
      • Download document file
      • Rerun validations
    • RPC Search
      • Get company with ID
        GET
      • Company RFC Lookup
        GET
      • Company Name Search
        GET
      • Download document
        GET
    • Utilities
      • Matcher
        • Run name matching
  1. RPC Search

Download document

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
GET
https://api.niva.co/v1
/rpc/documents/{document_id}/file
Download a document from the RPC. The document ID is returned as part of the business search response.

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.niva.co/v1/rpc/documents/mxd_1234567/file' \
--header 'apiKey: <api-key>'

Responses

🟢200Success
application/pdf
Previous
Company Name Search
Next
Utilities